Package net.sf.saxon.s9api

## Enum HostLanguage

- java.lang.Object
- - java.lang.Enum<HostLanguage>
  - - net.sf.saxon.s9api.HostLanguage

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<HostLanguage>`

      public enum HostLanguage
      extends java.lang.Enum<HostLanguage>

  Identifies a host language in which XPath expressions appear. Generally used when different error codes need to be returned depending on the host language.
  Since:
    10.0; previously an integer constant in class `Configuration` was used

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `XML_SCHEMA` |
    `XPATH` |
    `XQUERY` |
    `XSLT` |
    `XSLT_PATTERN` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static HostLanguage` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static HostLanguage[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### XSLT

          public static final HostLanguage XSLT

    - #### XQUERY

          public static final HostLanguage XQUERY

    - #### XML_SCHEMA

          public static final HostLanguage XML_SCHEMA

    - #### XPATH

          public static final HostLanguage XPATH

    - #### XSLT_PATTERN

          public static final HostLanguage XSLT_PATTERN

  - ### Method Detail

    - #### values

          public static HostLanguage[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HostLanguage c : HostLanguage.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HostLanguage valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null